# ZetItemTweaks

Some item balance changes and tweaks.

Provides a wide range of configuration options for 44 items.

Changes for each item can be disabled.

## AutoCompat:

Item changes will automatically be disabled if another installed mod already changes that item.

Won't cover all mods and items but should help with compatibility.

To use the changes from this mod, disable the changes made in the other mod and force enable these changes.

## Item Changes:

### Lens-Maker's Glasses

```
- Unchanged. (configuration added)
```

### Bison Steak

```
- Killing an enemy increases health regeneration 2.4 hp/s for 3 (+2 per stack) seconds.
```

### Cautious Slug

```
- Increases health regeneration by 3.2 hp/s (+3.2 hp/s per stack) while out of danger.
```

### Focus Crystal

```
- Unchanged. (configuration added)
```

### Personal Shield Generator

```
- Unchanged. (configuration added)
```

### Weeping Fungus

```
- Heal for 2% (+1% per stack) hp/s while sprinting. (from 2% (+2% per stack))
- Count as still sprinting up to 0.2 seconds after not sprinting.
- Hide associated activity buff.
```

### Scratch Ticket (Mystic's Items)

```
- Unchanged. (configuration to set item tier to green added)
```

### Predatory Instincts

```
- Attack speed per buff 10%. (from 12%)
```

### Ghor's Tome

```
- Kills grant 10% (+10% per stack) more gold.
- Treasure chance 5% (+2.5% per stack). (from 4% (+4% per stack))
```

### Ukulele

```
- Unchanged. (configuration added)
```

### Death Mark

```
- Duration of 8 seconds.
- Increase damage taken by 30% (+10% per stack).
```

### War Horn

```
- Duration of 8 (+2 per stack) seconds. (from 8 (+4 per stack) seconds)
- Increase movement speed by 20% (+10% per stack).
- Increase attack speed by 40% (+20% per stack).
```

### Kjaro's Band

```
- Fire Tornado deals 300% (+200% per stack) TOTAL damage. (from 300% (+300% per stack))
```

### Harvester's Scythe

```
- Unchanged. (configuration added)
```

### Runald's Band

```
- Ice Blast deals 240% (+160% per stack) TOTAL damage. (from 250% (+250% per stack))
- Chill duration of 4s. (from 3s (+3s per stack))
```

### AtG Missile Mk. 1

```
- Missile deals 300% (+200% per stack) TOTAL damage. (from 300% (+300% per stack))
```

### Hunter's Harpoon

```
- Duration of 2 (+1 per stack) seconds.
```

### Old War StealthKit

```
- Recharges every 20 (-25% per stack) seconds.
- Gain 35% (+15% per stack) dodge chance while active.
```

### Shuriken

```
- Unchanged. (configuration added)
```

### Leeching Seed

```
- Hits heal for 2 (+2 per stack) health.
- Minimum heal amount is 25% max value regardless of damage proc coefficient.
```

### Chronobauble

```
- Debuff reduces attack speed by 20%.
```

### Rose Buckler

```
- Sprinting builds up to 20% (+10% per stack) movement speed and 30 (+15 per stack) armor.
```

### Red Whip

```
- Increase movement speed by 20% (+20% per stack) while out of combat. (from 30% (+30% per stack))
- Increase movement speed by 10% (+10% per stack).
```

### Lepton Daisy

```
- Healing pulse occurs every 15 seconds. (from 1 (+1 per stack) times)
- Will continue to pulse if holdout zone is fully charged and still active.
- Nova heals for 10% (+2.5% per stack) maximum health. (from 50%)
- Increases health regeneration by 4.8 hp/s (+2.4 hp/s per stack) while charging a holdout zone.
```

### Razor Wire

```
- Razors deal between 120% and 180% damage based on how long you haven't been hit.
- Range of 25m (+5m per stack). (from 25m (+10m per stack))
```

### Berzerker's Pauldron

```
- Duration of 4 seconds.
- Kills grant 7.5% movement speed and 15% attack speed and refreshes buff timer.
- Maximum of 3 (+2 per stack) Multi Kill buff.
```

### Polylute

```
- Strike target up to 3 (+2 per stack) times. (from 3 (+3 per stack))
```

### Plasma Shrimp

```
- Missile deals 40% (+25% per stack) TOTAL damage. (from 40% (+40% per stack))
```

### Black Monolith (Mystic's Items)

```
- Unchanged. (configuration to set item tier to red added)
```

### Pixie Tube (Tinker's Satchel)

```
- Unchanged. (configuration to visually merge buffs added)
```

### Alien Head

```
- Changed ItemTier to Green.
- Reduces skill cooldowns by 10% (+10% per stack). (from 25% (+25% per stack))
```

### Shattering Justice

```
- Duration of 8 seconds.
- Pulverize on hit, reducing armor by 20. (from 60)
- Deal up to 50% (+25% per stack) more damage against pulverized enemies depending on their missing health.
```

### Aegis

```
- Increases armor by 30 (+15 per stack).
```

### Brilliant Behemoth

```
- Explosion radius of 5m (+2.5m per stack).
- Explosion deals 60% (+20% per stack) total damage.
- Explosion damage now has linear falloff. (from no falloff)
```

### Defensive Microbots

```
- Added to red drop pool.
```

### Laser Scope

```
- First stack increases critical strike chance by 5%.
```

### Frost Relic

```
- Duration of 8 seconds.
- Storm radius grows less every kill.
- Maximum icicle count of 6 (+3 per stack).
- Indicator buff shows icicle count.
- Base Storm damage of 600% per second. (from 1200% per second)
- Damage per icicle of 200% per second. (from 0% per second)
```

### Brainstalks

```
- Refund skill stock on use, bypassing 0.5 second cooldown.
```

### Ben's Raincoat

```
- Maximum of 2 (+1 per stack) cleanse charges.
- Gain a cleanse charge every 5 (-10% per stack) seconds.
- Prevents debuffs for 0.25 seconds and grants 10% barrier when triggered.
```

### N'Kuhana's Opinion

```
- Unchanged. (configuration added)
```

### Unstable Tesla Coil

```
- Range of 30m. (from 35m)
```

### Shatterspleen

```
- Separate bleed from other sources.
- Bleed for 120% base damage on crit.
- Bleed explosion victim health as damage always 10%. (from 15% (+15% per stack))
```

### Titanic Knurl

```
- Increases health by 100 (+50 per stack).
```

### Planula

```
- Heal 25 (+25 per stack) health whenever you take damage.
```

### Pearl

```
- Increases health by 10% (+10% per stack).
- Increases health regeneration by 0.4 hp/s (+0.4 hp/s per stack).
- Increases armor by 1 (+1 per stack).
- Increases other stats by 1% (+1% per stack).
- Other stats now includes cooldown reduction.
```

### Shiny Pearl

```
- Increases health by 10% (+10% per stack).
- Increases health regeneration by 4 hp/s (+4 hp/s per stack).
- Increases armor by 10 (+10 per stack).
- Increases other stats by 10% (+10% per stack).
- Other stats now includes cooldown reduction.
```

### Little Disciple

```
- Wisp damage coefficient of 200% (+200% per stack). (from 300% (+300% per stack))
- Base fire time of 1.75 seconds. (from 1.667 seconds)
```

## Installation:

Requires Bepinex and HookGenPatcher.

Use r2modman or place inside of Risk of Rain 2/Bepinex/Plugins/

## Changelog:

**1.2.1**

```
Added Item Support:
- Unchanged : PixieTube.

WarHorn:
- Fixed attack speed always applying without buff.
```

**1.2.0**

```
Added Item Support:
- Buffed : Planula, BrainStalks.
- Unchanged : PersonalShieldGenerator, FocusCrystal.
- Tweaked: LeptonDaisy.

Fixed some AutoCompat entries.
Fixed flat health regeneration not being scaled by level.
```

**1.1.0**

```
Added Item Support:
- Unchanged : Ukulele, ScratchTicket, Black Monolith.
- Nerfed: WeepingFungus, Polylute, AtgMissileMk1, PlasmaShrimp, KjarosBand, RenaldsBand.

Rose Buckler:
- Custom Momentum buff icon.

Aegis:
- Fixed armor while barrier is active.
```

**1.0.1**

```
- Fixed for latest game update.
```

**1.0.0**

```
- Initial Release.
```
